[SciPy-user] scipy-0.6 on AIX 5.3

Marek Wojciechowski mwojc@p.lodz...
Sun Jul 6 09:17:06 CDT 2008


Hi!

I tried to install scipy in AIX 5.3 and i'm partially successful. For now i 
see no way to compile and use C++ code from scipy, so sparse and weave 
modules are not working. I used native IBM compilers: xlf_r, cc_r, xlc++_r. I 
compiled also properly blas and lapack for use with scipy.

I applied two dirty hacks in numpy.distutils.ccompiler (1.0.4) and some hacks 
in scipy itself. I'm attaching diffs because probably some changes could be 
applied to the development code...

Greetings
-- 
Marek Wojciechowski
-------------- next part --------------
A non-text attachment was scrubbed...
Name: scipy-0.6.0-aix.diff
Type: text/x-diff
Size: 60159 bytes
Desc: not available
Url : http://projects.scipy.org/pipermail/scipy-user/attachments/20080706/17b90905/attachment-0002.bin 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: ccompiler-aix.diff
Type: text/x-diff
Size: 1419 bytes
Desc: not available
Url : http://projects.scipy.org/pipermail/scipy-user/attachments/20080706/17b90905/attachment-0003.bin 


More information about the SciPy-user mailing list